Bug 166373 - argument list too long when computing dependencies
argument list too long when computing dependencies
Product: Fedora Legacy
Classification: Retired
Component: kernel (Show other bugs)
All Linux
medium Severity medium
: ---
: ---
Assigned To: Fedora Legacy Bugs
Depends On:
  Show dependency treegraph
Reported: 2005-08-19 16:48 EDT by Aleksandar Milivojevic
Modified: 2007-04-18 13:30 EDT (History)
0 users

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2006-08-13 10:40:18 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)
patch for linux/Makefile (637 bytes, patch)
2005-08-19 16:49 EDT, Aleksandar Milivojevic
no flags Details | Diff

  None (edit)
Description Aleksandar Milivojevic 2005-08-19 16:48:10 EDT
From Bugzilla Helper:
User-Agent: Mozilla/5.0 (X11; U; Linux i686; en-US; rv:1.7.10) Gecko/20050721 CentOS/1.0.6-1.4.1.centos4 Firefox/1.0.6

Description of problem:
When building custom kernel packages from kernel SRPM, I got argument list too long.  Apperently, mkdep used find to build list of depencies.  xargs should be used there.

Fix is simple.  I'll attach it.  I used 999 as patch number, please change as appropriate.  The attchment contains only the patch file that needs to be applied from the spec file.

Version-Release number of selected component (if applicable):

How reproducible:

Steps to Reproduce:
1. set CONFIG_SCSI_MULTI_LUN=y in kernel config files and attempt to rebuild the kernel RPM packages.  It fails for target i386 (the one that also builds kernel-source and kernel-docs).

Additional info:
Comment 1 Aleksandar Milivojevic 2005-08-19 16:49:29 EDT
Created attachment 117928 [details]
patch for linux/Makefile
Comment 2 Pekka Savola 2005-11-16 08:29:30 EST
This doesn't seem to be important enough to fix just on its own, so mark it DEFER.
Comment 3 Jesse Keating 2006-08-13 10:40:18 EDT
Not a security issue.

Note You need to log in before you can comment on or make changes to this bug.